# core/plugs/timer.py
#
#

""" time the timing. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.utils import get_day, get_hour, today, short_date
from core import kernel, Object
from core.loop import Timer

import datetime
import threading
import logging
import time

## CMNDS

def timer(event):
    rest = event.get_rest()
    target = today() + get_day(rest) + get_hour(rest)
    logging.warn("> time %s" % short_date(time.ctime(target)))
    kernel.services.timer = Timer(target, event)
    event.ok()

kernel.cmnds.register("timer", timer)
