# tests/test_base.py
#
#

## IMPORTS

from core import Object, test

import unittest

## Test_Base class

class Test_Base(test.Test):

    def test_construct(zelf):
        o = Object()
        zelf.assertEqual(type(o), Object)

    def test_settingattribute(zelf):
        o = Object()
        o.bla = "mekker"
        zelf.assertEqual(o.bla, "mekker")

    def test_checkattribute(zelf):
        o = Object()
        zelf.failUnlessRaises(AttributeError)

    def test_underscore(zelf):
        o = Object()
        o._bla = "mekker"
        zelf.assertEqual(o._bla, "mekker")

    def test_update(zelf):
        o1 = Object()
        o1._bla = "mekker"
        o2 = Object()
        o2._bla = "blaet"
        o1.update(o2)
        zelf.assertEqual(o1._bla, "blaet")

    def test_iter(zelf):
        o1 = Object()
        o1.bla1 = 1
        o1.bla2 = 2
        o1.bla3 = 3
        res = sorted(list(o1))
        zelf.assertEqual(res, ["bla1","bla2","bla3"])

